org.eclipse.emf.cdo.server.spi.security

## Interface InternalSecurityManager

- All Superinterfaces:
    ISecurityManager, SecurityItemContainer, SecurityItemProvider

      public interface InternalSecurityManager
      extends ISecurityManager

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `InternalSecurityManager.CommitHandler` If the meaning of this type isn't clear, there really should be more of a description here...
    `static interface` | `InternalSecurityManager.CommitHandler2` If the meaning of this type isn't clear, there really should be more of a description here...

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.security.ISecurityManager

      `ISecurityManager.RealmOperation`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.security.ISecurityManager

      `SYSTEM_USER_ID`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCommitHandler(InternalSecurityManager.CommitHandler handler)`
    `InternalSecurityManager.CommitHandler[]` | `getCommitHandlers()`
    `InternalSecurityManager.CommitHandler2[]` | `getCommitHandlers2()`
    `IManagedContainer` | `getContainer()`
    `java.lang.String` | `getRealmPath()`
    `void` | `removeCommitHandler(InternalSecurityManager.CommitHandler handler)`
    `void` | `setRepository(InternalRepository repository)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.security.ISecurityManager

      `getRealm, getRepository, modify, modify, modifyWithInfo, read`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityItemContainer

      `addGroup, addRole, addUser, addUser, addUser, removeGroup, removeRole, removeUser, setPassword`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityItemProvider

      `getGroup, getRole, getUser`

- - ### Method Detail

    - #### getContainer

          IManagedContainer getContainer()

    - #### setRepository

          void setRepository(InternalRepository repository)

    - #### getRealmPath

          java.lang.String getRealmPath()

    - #### getCommitHandlers

          InternalSecurityManager.CommitHandler[] getCommitHandlers()

    - #### getCommitHandlers2

          InternalSecurityManager.CommitHandler2[] getCommitHandlers2()

      Since:
        4.3

    - #### addCommitHandler

          void addCommitHandler(InternalSecurityManager.CommitHandler handler)

    - #### removeCommitHandler

          void removeCommitHandler(InternalSecurityManager.CommitHandler handler)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html